Subject: [sipcore] Draft new version: rkeep

From: Christer Holmberg <[email-masked]>
Date: Wed, 19 Dec 2012 11:35:26 +0000

Hi,

I've submitted a new version of the rkeep (reverse keep-alive) draft.

I've tried to address the received comments. I did some editorial corrections, added an example flow, corrected a reference, and added some text about forking.

Paul had one question about why one cannot re-negotiate the sending of keep-alives during a dialog. I was going to look into that, but haven't found anything, so for now I haven't changed anything. I'll continue to look into it. The reason MAY be that we simply saw no reason for allowing it when working on RFC 6223 (which rkeep inherits much of its procedures from).

Regards,

Christer